Subject: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Michael Albinus <[email-masked]>
Date: Fri, 11 Jul 2014 12:15:19 +0200

Eli Zaretskii <[email-masked]> writes:

> I installed a temporary fix, to allow the build to succeed, but it
> means that currently `read-hide-char' is a no-op on MS-Windows.  Stay
> tuned.

Not fully a no-op. As side effect, you could apply your own hiding
character even in interactive mode. ?* instead of ?. as you like ...

> Btw, I think it's a mistake to expose termios bowels of struct
> emacs_tty in minibuf.c.  I think we should move that code to a
> separate function in sysdep.c, which will be called from minibuf.c.

... as I have proposed the other message as well. I will work on this;
unfortunately too much pressure on work these days. It might take some
days.

Best regards, Michael.